package domain


type AlibabaWdkPurchasePriceWdkopenpurchasepricesubs struct {
    /*
        确认标识，0:核对 1:确认，必填     */
    Confirm  *string `json:"confirm,omitempty" `

    /*
        去税采购价，单位分，必填     */
    PriceWithoutTax  *string `json:"price_without_tax,omitempty" `

    /*
        含税采购价，单位分，必填     */
    PriceWithTax  *string `json:"price_with_tax,omitempty" `

    /*
        税率，必填     */
    TaxRate  *string `json:"tax_rate,omitempty" `

    /*
        商品编码，必填     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        淘系子订单号，必填     */
    TbSubOrderId  *string `json:"tb_sub_order_id,omitempty" `

}

func (s *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) SetConfirm(v string) *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs {
    s.Confirm = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) SetPriceWithoutTax(v string) *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs {
    s.PriceWithoutTax = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) SetPriceWithTax(v string) *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs {
    s.PriceWithTax = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) SetTaxRate(v string) *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs {
    s.TaxRate = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) SetSkuCode(v string) *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs) SetTbSubOrderId(v string) *AlibabaWdkPurchasePriceWdkopenpurchasepricesubs {
    s.TbSubOrderId = &v
    return s
}
